Bug 1575877 - [geo-rep]: Geo-rep scheduler fails
Summary: [geo-rep]: Geo-rep scheduler fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1576179 1577871 1611108
TreeView+ depends on / blocked
 
Reported: 2018-05-08 07:23 UTC by Rochelle
Modified: 2018-09-14 05:32 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1576179 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Rochelle 2018-05-08 07:23:30 UTC
Description of problem:
=======================
A geo-rep session was started between a 6 node master and slave cluster.
While running the scheduler script, it failed with the following:


[    OK] Stopped Geo-replication
[    OK] Set Checkpoint
[    OK] Started Geo-replication and watching Status for Checkpoint completion
Traceback (most recent call last):
  File "/usr/share/glusterfs/scripts/schedule_georep.py", line 475, in <module>
    main(args)
  File "/usr/share/glusterfs/scripts/schedule_georep.py", line 394, in main
    slave_url)
  File "/usr/share/glusterfs/scripts/schedule_georep.py", line 342, in get_summary
    out.append([session_name, summary, faulty_rows, down_rows])
UnboundLocalError: local variable 'session_name' referenced before assignment


Version-Release number of selected component (if applicable):
============================================================
[root@dhcp41-227 scripts]# rpm -qa | grep gluster
glusterfs-api-3.12.2-8.el7rhgs.x86_64
glusterfs-3.12.2-8.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.2.x86_64
glusterfs-client-xlators-3.12.2-8.el7rhgs.x86_64
glusterfs-cli-3.12.2-8.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-8.el7rhgs.x86_64
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch
python2-gluster-3.12.2-8.el7rhgs.x86_64
glusterfs-server-3.12.2-8.el7rhgs.x86_64
glusterfs-events-3.12.2-8.el7rhgs.x86_64
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
glusterfs-libs-3.12.2-8.el7rhgs.x86_64
glusterfs-rdma-3.12.2-8.el7rhgs.x86_64
glusterfs-fuse-3.12.2-8.el7rhgs.x86_64

How reproducible:
================

1/1



Actual results:
===============
The geo-rep scheduler script fails

Expected results:
================
The scheduler should not fail

Comment 10 errata-xmlrpc 2018-09-04 06:48:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.